#ifndef __COMPASS_H__
#define __COMPASS_H__


#include "HMC5883L.h"


class NavCompass {
public:
  NavCompass();

  void init();  
  
  void update();

  float get_heading(float roll_rad, float pitch_rad);
  void  get_magnet(float *mx, float *my, float *mz);

  void get_offsets(int *ox, int *oy, int *oz);
  void set_offsets(int ox, int oy, int oz);

private:
  HMC5883L *_magneto;

  float _compX;
  float _compY;
  float _compZ;
	
	int _offsetX;
	int _offsetY;
	int _offsetZ;	
};


#endif

